package com.dev.swms.server.model.abstractEntity;

import java.util.Date;
import java.util.Set;

import com.dev.swms.server.model.base.Item;
import com.dev.swms.server.model.base.Location;
import com.dev.swms.server.model.base.LotInfo;
import com.dev.swms.server.model.base.NewLotInfo;
import com.dev.swms.server.model.base.PackageUnit;
import com.dev.swms.server.model.inventory.Inventory;
import com.dev.swms.server.model.inventory.Task;
import com.dev.energy.server.model.Entity;

public abstract class AbstractMoveDocDetail extends Entity {
	public abstract double getPreAllocatedQuantity();
	public abstract void setPreAllocatedQuantity(double preAllocatedQuantity);
	public abstract double getAllocatedQuantity();
	public abstract void setAllocatedQuantity(double allocatedQuantity);
	public abstract double getOrderQuantity();
	public abstract void setOrderQuantity(double orderQuantity);
	public abstract double getPickedQuantity();
	public abstract void setPickedQuantity(double pickedQuantity);
	public abstract double getShippedQuantity();
	public abstract void setShippedQuantity(double shippedQuantity);
	public abstract AbstractMoveDoc getAbstractMoveDoc();
	public abstract Item getItem();
	public abstract LotInfo getLotInfo();
	public abstract NewLotInfo getNewLotInfo();
	public abstract PackageUnit getPackageUnit();
	public abstract double getUnallocateQuantity();
	public abstract Task allocate(String bhCode,Inventory inventory, double quantity);
	public abstract Location getAllocateDstLoc();
	public abstract Set<Task> getTasks();
	public abstract void setApplyDoc(String code);
	public abstract void setApplyDocDetailId(Long id);
	public abstract Date getStorageDate();
	public abstract String getSOI();
}
